/**<pre>
 * Title: GPS Simulator
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package gui;

import java.awt.*;
import javax.swing.border.*;
import javax.swing.*;


/* ====================================================================== */
/** This class is simply to aid in create borders for the various interface
 *  componenets.
 *
 */
public final class TTBorder extends TitledBorder {



    /* ===================================================================== */
    /** This Constructor creates an etched border with a title.
     *
     *  @param  title   The title to use in the border.
     *
     */
    public TTBorder(String title) {

        super( BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),
                " " + title + " ");

    } //Constructor



    /* ===================================================================== */
    /** This method creates an returns an etched border with a title.
     *
     *  @param  title   The title to use in the border.
     *  @return  Border   The border kept inside this class.
     *
     */
    public static Border getBorder(String title) {

        TitledBorder tt = new TitledBorder(
        	BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)) ,
           	" " + title + " ");

        return BorderFactory.createCompoundBorder(tt, BorderFactory.createEmptyBorder(5,5,5,5));

    } //method: getBorder



    /* ===================================================================== */
    /** This method returns the border created in this class when it was the
     *  class was instantiated.
     *
     *  @return  Border   The border kept inside this class.
     *
     */
    public Border getBorder() {

        return BorderFactory.createCompoundBorder(this, BorderFactory.createEmptyBorder(5,5,5,5));

    } //method: getBorder


} //class: TTBorder