/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package recorder;


import gui.*;
import util.*;
import agent.*;
import agent.autonomous.*;
import controller.*;
import map.*;

import java.awt.*;
import java.util.*;



/* ====================================================================== */
/** This class is used by the simulation controller to
 *
 */
public class PlayerThread extends Thread{


	/** The iSIM controller. */
	private Controller controller;

	/** If recording just one agent movement this is it. */
	private User user;

	/** Hold a list of agent movements. */
	private Vector record = new Vector();



    /* ===================================================================== */
    /** This constructor initializes the thread and starts it running.
     *
     *  @param  controller   The iSIM controller.
     *
     */
	public PlayerThread( User user, Controller controller){

		this.controller = controller;
		this.user = user;

		record = user.getRecording();

		this.start();

	} //Constructor




    /* ===================================================================== */
    /** This method is a continuous loop for thread.  Every 5 seconds (may
     *  change)  we send message to all the agents in the simulation.  The time
     *  time interval and the messages to send can be changed.
     *
     */
	public void run(){

		Record rec;
		int count = 0;

		for( int i=0; i <record.size(); i++ ){

			rec = (Record)(record.elementAt(i));
			count++;

			try{ Thread.sleep(50); }catch(Exception e){}

			user.setLocation( rec.getPoint() );
			user.getPosition().setHeading( rec.getHeading() );

			controller.getChartComp().repaint();
			if( count == 10 ){
				controller.fireControllerChange();
				count = 0;
			}

		} //for


    } //method: run


} //class: PlayerThread