/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2003
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package transport.protocol;

import java.io.*;
import java.awt.*;


/* ====================================================================== */
/** This class is a ExceptionMessage.  If a sensor is unplugged/disables,
 *  then it will send one exception messages instead of the correct sensor
 *  message.  Sensors correspond to messages in iSIM.  It is up to your
 *  program to handle the exception however you want.
 *
 */
public class ExceptionMessage extends Sim2PMessage implements Serializable{


	/** Optional data can be put inside this message. */
	//represents the sensor that has the error.
	private Object msg;


    /* ===================================================================== */
    /** This constructor initializes the Message.  Object content must be added
     *  seperately with setContent() method, and the object must be
     *  Serializable.
     *
     *  @param  to   iSIM port.
     *  @param  from   Port of app send this.
     *  @param  msg   Optional data that the from might want to keep track of.
     *
     */
  	public ExceptionMessage(int to, int from, Object msg){
		super(to, from);

		this.msg = msg;

	} //Constructor


    /* ===================================================================== */
    /** This constructor initializes the Message.  Object content must be added
     *  seperately with setContent() method, and the object must be
     *  Serializable.
     *
     *  @param  to   iSIM port.
     *  @param  from   Port of app send this.
     *
     */
  	public ExceptionMessage(int to, int from){
		super(to, from);

	} //Constructor



    /* ===================================================================== */
    /** This method returns the data in this message (if any).
     *
     *  @return  Object  The data.
     *
     */
	public Object getMessage(){

		return msg;

	} //method: getData


} //class: RangeMessage

