/**<pre>
 * Title: iSIM
 * Copyright: Copyright (c) 2002
 * Company:   University of Oregon Computer Science Dept.
 *
 * @author Jason Prideaux
 * @version 1.0
 * </pre>
 */

package transport.protocol;

import java.io.*;
import java.awt.*;
import map.*;


/* ====================================================================== */
/** This class represents a Multicast message.  This message is sent by
 *  agents to the simulator, the simulator then sends the message to all
 *  agents that are with within range and certain number of hops.
 *
 */
public class RoomMessage extends Sim2PMessage implements Serializable{


  	/** The room of this agent. */
  	private Room room;


    /* ===================================================================== */
    /** This constructor initializes the Message.  Object content must be added
     *  seperately with setContent() method, and the object must be
     *  Serializable.
     *
     *  @param  message   The String message.
     *  @param  from   The port the message sender listens to.
     *
     */
  	public RoomMessage(int to, int from, Room rm){
		super(to, from);

		this.room = rm;

	} //Constructor




    /* ===================================================================== */
    /** This method returns the name of this agent.
     *
     *  @return  String  The name of this agent.
     *
     */
	public Room getRoom(){

		return room;

	} //method: getName






} //class: MulticastMessage

